using APT.Infrastructure.EF.Map;
using APT.BaseData.Domain.Entities.FM;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using Microsoft.EntityFrameworkCore;

namespace APT.BaseData.Data.Mapping.FM
{
	public class FMImportConfigDetailMap : APTEntityBaseMap<T_FM_IMPORT_CONFIG_DETAIL>
	{
		public override void Configure(EntityTypeBuilder<T_FM_IMPORT_CONFIG_DETAIL> builder)
		{
			base.Configure(builder);
			builder.Property(t => t.DESCRIPTION).HasMaxLength(200);


			builder.Property(t => t.SHEET_KEY_FIELD_NAME).HasMaxLength(200);
			builder.Property(t => t.PAGE_EDIT_CODE).HasMaxLength(200);
			builder.Property(t => t.REMARK).HasMaxLength(200);
			builder.Ignore(t => t.Data);
			builder.HasOne(t => t.Nav_ImportConfig).WithMany(t => t.Nav_Details).HasForeignKey(t => t.IMPORT_CONFIG_ID).OnDelete(DeleteBehavior.Restrict);
		} 
	}
}
